[arch-commits] Commit in rclone/repos (4 files)

Felix Yan fyan at archlinux.org
Tue Oct 13 08:24:01 UTC 2015


    Date: Tuesday, October 13, 2015 @ 10:24:01
  Author: fyan
Revision: 143897

archrelease: copy trunk to community-i686, community-x86_64

Added:
  rclone/repos/community-i686/
  rclone/repos/community-i686/PKGBUILD
    (from rev 143896, rclone/trunk/PKGBUILD)
  rclone/repos/community-x86_64/
  rclone/repos/community-x86_64/PKGBUILD
    (from rev 143896, rclone/trunk/PKGBUILD)

---------------------------+
 community-i686/PKGBUILD   |   50 ++++++++++++++++++++++++++++++++++++++++++++
 community-x86_64/PKGBUILD |   50 ++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 100 insertions(+)

Copied: rclone/repos/community-i686/PKGBUILD (from rev 143896, rclone/trunk/PKGBUILD)
===================================================================
--- community-i686/PKGBUILD	                        (rev 0)
+++ community-i686/PKGBUILD	2015-10-13 08:24:01 UTC (rev 143897)
@@ -0,0 +1,50 @@
+# $Id$
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+
+pkgname=rclone
+pkgver=1.23
+pkgrel=1
+pkgdesc="Sync files to and from Google Drive, S3, Swift, Cloudfiles, Dropbox and Google Cloud Storage"
+arch=('i686' 'x86_64')
+url="http://rclone.org/"
+license=('MIT')
+depends=('gcc-go')
+makedepends=('git' 'python2' 'pandoc')
+source=("git+https://github.com/ncw/rclone.git#tag=v$pkgver")
+md5sums=('SKIP')
+
+prepare() {
+  cd rclone
+
+  sed -i "1s/python$/&2/" make_manual.py
+
+  mkdir -p .gopath/src/github.com/ncw
+  ln -sf "$PWD" .gopath/src/github.com/ncw/rclone
+  export GOPATH="$PWD/.gopath"
+
+  go get github.com/ncw/rclone
+}
+
+build() {
+  cd rclone
+  export GOPATH="$PWD/.gopath"
+
+  go build
+  make doc
+}
+
+check() {
+  cd rclone
+  make test || warning "Tests failed"
+}
+
+package() {
+  cd rclone
+  make DESTDIR="$pkgdir" install
+
+  install -Dm644 COPYING "$pkgdir/usr/share/licenses/$pkgname/COPYING"
+
+  install -Dm644 rclone.1 "$pkgdir/usr/share/man/man1/rclone.1"
+  install -d "$pkgdir/usr/share/doc/$pkgname"
+  install -t "$pkgdir/usr/share/doc/$pkgname" -m644 MANUAL.html MANUAL.txt
+}

Copied: rclone/repos/community-x86_64/PKGBUILD (from rev 143896, rclone/trunk/PKGBUILD)
===================================================================
--- community-x86_64/PKGBUILD	                        (rev 0)
+++ community-x86_64/PKGBUILD	2015-10-13 08:24:01 UTC (rev 143897)
@@ -0,0 +1,50 @@
+# $Id$
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+
+pkgname=rclone
+pkgver=1.23
+pkgrel=1
+pkgdesc="Sync files to and from Google Drive, S3, Swift, Cloudfiles, Dropbox and Google Cloud Storage"
+arch=('i686' 'x86_64')
+url="http://rclone.org/"
+license=('MIT')
+depends=('gcc-go')
+makedepends=('git' 'python2' 'pandoc')
+source=("git+https://github.com/ncw/rclone.git#tag=v$pkgver")
+md5sums=('SKIP')
+
+prepare() {
+  cd rclone
+
+  sed -i "1s/python$/&2/" make_manual.py
+
+  mkdir -p .gopath/src/github.com/ncw
+  ln -sf "$PWD" .gopath/src/github.com/ncw/rclone
+  export GOPATH="$PWD/.gopath"
+
+  go get github.com/ncw/rclone
+}
+
+build() {
+  cd rclone
+  export GOPATH="$PWD/.gopath"
+
+  go build
+  make doc
+}
+
+check() {
+  cd rclone
+  make test || warning "Tests failed"
+}
+
+package() {
+  cd rclone
+  make DESTDIR="$pkgdir" install
+
+  install -Dm644 COPYING "$pkgdir/usr/share/licenses/$pkgname/COPYING"
+
+  install -Dm644 rclone.1 "$pkgdir/usr/share/man/man1/rclone.1"
+  install -d "$pkgdir/usr/share/doc/$pkgname"
+  install -t "$pkgdir/usr/share/doc/$pkgname" -m644 MANUAL.html MANUAL.txt
+}



More information about the arch-commits mailing list